import { Kafka, ITopicConfig, AdminConfig } from 'kafkajs';
export declare class TopicAdministrator {
    protected kafka: Kafka;
    protected topicConfig: Omit<ITopicConfig, 'topic'>;
    protected adminConfig: AdminConfig;
    static adminClientConfiguration: AdminConfig;
    constructor(kafka: Kafka, topicConfig?: Omit<ITopicConfig, 'topic'>, adminConfig?: AdminConfig);
    createTopic(topic: string): Promise<void>;
    deleteTopic(topic: string): Promise<void>;
}
