/// <reference types="node" />
import { Kafka } from 'kafkajs';
import { EventEmitter } from 'events';
export declare class TopicEventEmitter {
    private topics;
    emitter: EventEmitter;
    private consumer;
    constructor(kafka: Kafka, topics?: string[]);
    start(): Promise<void>;
    pause(): void;
    resume(): void;
    stop(): Promise<void>;
    disconnect(): Promise<void>;
    private get topicsPartitions();
}
